Subject: (ngtrans) Advertising 6to4 (2002::/16) addresses on 6BONE DFZ

From: David Gethings <[email-masked]>
Date: Thu, 4 Apr 2002 13:47:30 +0100

Hi All,

I was wondering what the feeling was regarding advertising 6to4 addresses on
the 6BONE DFZ. Section 3.10 of RFC 2772 says:

The 6to4 prefix, or some portion thereof, MAY be announced by any pTLA which
has a current implementation of 6to4 in their IPv6 network.  However, as 6to4
implementors gain more operational experience, it MAY be necessary to change
this in some way.  At the time of the writing of this docuement, any pTLA MAY
announce the 6to4 prefix into global EBGP. However, in order to announce this
block, the pTLA MUST have a 6to4 router active, sourcing this prefix
announcement.

This section subject to change, and MAY vary, depending on 6to4 progress
within the NGTRANS working group

So my question is: Is there anyone out there who advertise 6to4 prefixes, and
will accept advertisements of 6to4 prefixes?

Regards

-- 
David Gethings			Worldcom,
Data Networks, Cambridge	Internet Place, 330 Science Park,
Email: [email-masked]	Cambridge, CB4 0BZ, United Kingdom.
Phone: +44 (0)1223 581515	http://www.worldcom.com/

---

From: Pekka Savola <[email-masked]>
Date: Thu, 4 Apr 2002 15:55:48 +0300 (EEST)

On Thu, 4 Apr 2002, David Gethings wrote:
> So my question is: Is there anyone out there who advertise 6to4 prefixes, 

Many.

> and

Almost everybody, I think.

(for more information please take a look at one of IPv6 looking glasses.)

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---

From: Bill Manning <[email-masked]>
Date: Thu, 4 Apr 2002 05:00:04 -0800 (PST)

% So my question is: Is there anyone out there who advertise 6to4 prefixes, and
% will accept advertisements of 6to4 prefixes?
% 
% Regards
% 
% -- 
% David Gethings			Worldcom,
% Data Networks, Cambridge	Internet Place, 330 Science Park,
% Email: [email-masked]	Cambridge, CB4 0BZ, United Kingdom.
% Phone: +44 (0)1223 581515	http://www.worldcom.com/

	Yes and Yes

--bill

---

From: Simon Leinen <[email-masked]>
Date: 07 Apr 2002 15:24:43 +0200

>>>>> On Thu, 4 Apr 2002 15:55:48 +0300 (EEST), Pekka Savola <[email-masked]> said:

> Almost everybody, I think.

We only accept 2002::/16, not the more specific prefixes, on the
assumption that usually the IPv4 path towards a 6to4 relay for a
specific 2002:x:y::/48 prefix will perform better than the IPv6 path.

2002::/16 is usually ignored because we have our own 6to4 gateway, so
accepting it over BGP just serves as a backup towards the 6to4 world.

Regards,
-- 
Simon.